# cv::OpponentColorDescriptorExtractor Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::OpponentColorDescriptorExtractor:

List of all members.

## Public Member Functions

virtual int | descriptorSize () const
virtual int | descriptorType () const
| OpponentColorDescriptorExtractor (const Ptr< DescriptorExtractor > &descriptorExtractor)
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const

## Protected Member Functions

virtual void | computeImpl (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const

## Protected Attributes

Ptr< DescriptorExtractor > | descriptorExtractor

## Constructor & Destructor Documentation

cv::OpponentColorDescriptorExtractor::OpponentColorDescriptorExtractor | ( | const Ptr< DescriptorExtractor > & | descriptorExtractor ) |

## Member Function Documentation

virtual void cv::OpponentColorDescriptorExtractor::computeImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const`[protected, virtual]`

Implements cv::DescriptorExtractor.

virtual int cv::OpponentColorDescriptorExtractor::descriptorSize | ( | ) | const`[virtual]`

Implements cv::DescriptorExtractor.

virtual int cv::OpponentColorDescriptorExtractor::descriptorType | ( | ) | const`[virtual]`

Implements cv::DescriptorExtractor.

virtual void cv::OpponentColorDescriptorExtractor::read | ( | const FileNode & | ) | `[virtual]`

Reimplemented from cv::DescriptorExtractor.

virtual void cv::OpponentColorDescriptorExtractor::write | ( | FileStorage & | ) | const`[virtual]`

Reimplemented from cv::DescriptorExtractor.

## Member Data Documentation

Ptr<DescriptorExtractor> cv::OpponentColorDescriptorExtractor::descriptorExtractor`[protected]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines